// You can import API functions like this from D3.js.
import { select, csv, scaleLinear } from 'd3';
const svg = select('svg');
const width = +svg.attr('width');
const length = +svg.attr('height');
const render = data => {
  const xScale = scaleLinear();
  svg.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('width', 300)
  		.attr('height', 300)
  };
csv('data.csv').then(data => {
  data.forEach(d => {
  d.population = +d.population * 1000;
  });
	render(data);
});

